[arch-commits] Commit in hal/trunk (3 files)

Jan de Groot jgc at archlinux.org
Sat Dec 19 19:21:17 UTC 2009


    Date: Saturday, December 19, 2009 @ 14:21:17
  Author: jgc
Revision: 61558

upgpkg: hal 0.5.14-1
    Update to 0.5.14 - remove upstream applied patches, apply patch from git to fix libusb detection

Added:
  hal/trunk/fix-libusb-detection.patch
Modified:
  hal/trunk/PKGBUILD
Deleted:
  hal/trunk/mdraid-segfault.patch

----------------------------+
 PKGBUILD                   |   35 +++++++++++++---------
 fix-libusb-detection.patch |   66 +++++++++++++++++++++++++++++++++++++++++++
 mdraid-segfault.patch      |   39 -------------------------
 3 files changed, 86 insertions(+), 54 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-19 19:17:15 UTC (rev 61557)
+++ PKGBUILD	2009-12-19 19:21:17 UTC (rev 61558)
@@ -3,8 +3,8 @@
 # Contributor: Link Dupont <link at subpop.net>
 
 pkgname=hal
-pkgver=0.5.13
-pkgrel=3
+pkgver=0.5.14
+pkgrel=1
 pkgdesc="Hardware Abstraction Layer"
 arch=(i686 x86_64)
 license=('GPL' 'custom')
@@ -17,33 +17,28 @@
         hal
         cryptsetup_location.patch
         hal-0.5.9-hide-diagnostic.patch
-        mdraid-segfault.patch
         hal-remove-dell-killswitch.patch
         hal-KVM-evdev.patch
         hal-HDAPS-blacklist.patch
         hal-xen-unignore-axes.patch
-        hal-use-at-console.patch)
-md5sums=('46ecc5d2e5bd964fb78099688f01bb6a'
-         '277e96ac130d7bfce0b30f0b80db8782'
-         'c688a3c6574699365926f4fef7441545'
-         '4d4b6801a1cedca22b8bdd9db73b16fb'
-         '3732682a5fe3b2b5279ced988909f554'
-         '6d87c3e63184ae3a69caafc846f538a3'
-         '6507e5091ee2d11a87ae738a8e2caecb'
-         '1171c2d83b76059f2da7a3538e08fa4e'
-         '52bd305299aa22ae07f1a862c22d30fa'
-         '3f11234fb5e5044fbfc5199ec65b182c')
+        hal-use-at-console.patch
+        fix-libusb-detection.patch)
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   patch -Np1 -i "${srcdir}/cryptsetup_location.patch" || return 1
   patch -Np1 -i "${srcdir}/hal-0.5.9-hide-diagnostic.patch" || return 1
-  patch -Np1 -i "${srcdir}/mdraid-segfault.patch" || return 1
   patch -Np1 -i "${srcdir}/hal-remove-dell-killswitch.patch" || return 1
   patch -Np1 -i "${srcdir}/hal-KVM-evdev.patch" || return 1
   patch -Np1 -i "${srcdir}/hal-HDAPS-blacklist.patch" || return 1
   patch -Np1 -i "${srcdir}/hal-xen-unignore-axes.patch" || return 1
   patch -Np1 -i "${srcdir}/hal-use-at-console.patch" || return 1
+  patch -Np1 -i "${srcdir}/fix-libusb-detection.patch" || return 1
+  
+  libtoolize --force || return 1
+  aclocal || return 1
+  autoconf || return 1
+  automake || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
       --libexecdir=/usr/lib/hal --with-udev-prefix=/etc \
@@ -62,3 +57,13 @@
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }
+md5sums=('e9163df591a6f38f59fdbfe33e73bf20'
+         '277e96ac130d7bfce0b30f0b80db8782'
+         'c688a3c6574699365926f4fef7441545'
+         '4d4b6801a1cedca22b8bdd9db73b16fb'
+         '6d87c3e63184ae3a69caafc846f538a3'
+         '6507e5091ee2d11a87ae738a8e2caecb'
+         '1171c2d83b76059f2da7a3538e08fa4e'
+         '52bd305299aa22ae07f1a862c22d30fa'
+         '3f11234fb5e5044fbfc5199ec65b182c'
+         'da088f12cfc2d190bbf95b747e19ab9e')

Added: fix-libusb-detection.patch
===================================================================
--- fix-libusb-detection.patch	                        (rev 0)
+++ fix-libusb-detection.patch	2009-12-19 19:21:17 UTC (rev 61558)
@@ -0,0 +1,66 @@
+From fce91df8ba7f305c624baf1f06961c040b088ecc Mon Sep 17 00:00:00 2001
+From: Joe Marcus Clarke <marcus at FreeBSD.org>
+Date: Tue, 08 Dec 2009 00:05:27 +0000
+Subject: Fix libusb detection on Linux
+
+Adjust the FreeBSD libusb20 code so that it does not interfere with the
+Linux libusb detection.
+
+Reported by:	Robby Workman <rw at rlworkman.net>
+---
+diff --git a/configure.in b/configure.in
+index a8fda51..8363595 100644
+--- a/configure.in
++++ b/configure.in
+@@ -479,9 +479,6 @@ if test "x$with_libpci" != xno ; then
+ fi 
+ AM_CONDITIONAL([HAVE_LIBPCI], [test "x$USE_LIBPCI" = "xyes"])
+ 
+-USE_LIBUSB20=no
+-USE_LIBUSB=no
+-LIBUSB20_LIBS=""
+ AC_ARG_WITH([backend],
+ 	    AS_HELP_STRING([--with-backend=<name>],
+ 	                   [backend to use (linux/solaris/freebsd/dummy)]),
+@@ -510,21 +507,25 @@ AM_CONDITIONAL(HALD_COMPILE_FREEBSD, [test x$HALD_BACKEND = xfreebsd], [Compilin
+ AM_CONDITIONAL(HALD_COMPILE_SOLARIS, [test x$HALD_BACKEND = xsolaris], [Compiling for Solaris])
+ AC_SUBST(HALD_BACKEND)
+ if test "x$HALD_BACKEND" = "xfreebsd"; then
+-    AC_CHECK_LIB([usb20], [libusb20_dev_get_info], [USE_LIBUSB20=yes], [USE_LIBUSB20=no])
+-fi
+-if test "x$USE_LIBUSB20" = "xno"; then
+-    AC_CHECK_LIB([usb], [libusb20_dev_get_info], [USE_LIBUSB=yes], [USE_LIBUSB=no])
+-fi
+-AM_CONDITIONAL([HAVE_LIBUSB20],[test "x$USE_LIBUSB20" = "xyes"])
+-AM_CONDITIONAL([HAVE_LIBUSB20],[test "x$USE_LIBUSB" = "xyes"])
+-if test "x$USE_LIBUSB20" = "xyes"; then
+-    AC_DEFINE(HAVE_LIBUSB20, 1, [Set if we need libusb20])
+-    LIBUSB20_LIBS="-lusb20"
+-elif test "x$USE_LIBUSB" = "xyes"; then
+-    AC_DEFINE(HAVE_LIBUSB20, 1, [Set if we need libsub20])
+-    LIBUSB20_LIBS="-lusb"
++    USE_BSDLIBUSB20=no
++    USE_BSDLIBUSB=no
++    LIBUSB20_LIBS=""
++    AC_CHECK_LIB([usb20], [libusb20_dev_get_info], [USE_BSDLIBUSB20=yes], [USE_BSDLIBUSB20=no])
++    if test "x$USE_BSDLIBUSB20" = "xno"; then
++        AC_CHECK_LIB([usb], [libusb20_dev_get_info], [USE_BSDLIBUSB=yes], [USE_BSDLIBUSB=no])
++    fi
++    AM_CONDITIONAL([HAVE_LIBUSB20],[test "x$USE_BSDLIBUSB20" = "xyes" -o "x$USE_BSDLIBUSB" = "xyes"])
++    if test "x$USE_BSDLIBUSB20" = "xyes"; then
++        AC_DEFINE(HAVE_LIBUSB20, 1, [Set if we need libusb20])
++        LIBUSB20_LIBS="-lusb20"
++    elif test "x$USE_BSDLIBUSB" = "xyes"; then
++        AC_DEFINE(HAVE_LIBUSB20, 1, [Set if we need libsub20])
++        LIBUSB20_LIBS="-lusb"
++    fi
++    AC_SUBST(LIBUSB20_LIBS)
++else
++    AM_CONDITIONAL([HAVE_LIBUSB20], [false])
+ fi
+-AC_SUBST(LIBUSB20_LIBS)
+ 
+ dnl DBUS API is subject to changes
+ AC_DEFINE_UNQUOTED(DBUS_API_SUBJECT_TO_CHANGE, [], [DBUS API is subject to change])
+--
+cgit v0.8.3-6-g21f6

Deleted: mdraid-segfault.patch
===================================================================
--- mdraid-segfault.patch	2009-12-19 19:17:15 UTC (rev 61557)
+++ mdraid-segfault.patch	2009-12-19 19:21:17 UTC (rev 61558)
@@ -1,39 +0,0 @@
-From 141ca8cd7b768ddefa1bfaa563cbef4337e32b7c Mon Sep 17 00:00:00 2001
-From: Martin Poole <mpoole at redhat.com>
-Date: Wed, 29 Jul 2009 13:20:45 +0000
-Subject: Fix a segfault in the mdraid code -- see rh#507782 for more info
-
-Signed-off-by: Richard Hughes <richard at hughsie.com>
----
-diff --git a/hald/linux/blockdev.c b/hald/linux/blockdev.c
-index 69ba026..7b47431 100644
---- a/hald/linux/blockdev.c
-+++ b/hald/linux/blockdev.c
-@@ -878,7 +878,7 @@ error:
- }
- 
- 
--void
-+
- hotplug_event_begin_add_blockdev (const gchar *sysfs_path, const gchar *device_file, gboolean is_partition,
- 				  HalDevice *parent, void *end_token)
- {
-@@ -893,6 +893,7 @@ hotplug_event_begin_add_blockdev (const gchar *sysfs_path, const gchar *device_f
-         gboolean is_md_device;
- 	gboolean is_cciss_device;
-         int md_number;
-+	char tc;
- 
- 	is_device_mapper = FALSE;
-         is_fakevolume = FALSE;
-@@ -911,7 +912,7 @@ hotplug_event_begin_add_blockdev (const gchar *sysfs_path, const gchar *device_f
- 		HAL_INFO (("Handling %s as fakevolume - sysfs_path_real=%s", device_file, sysfs_path_real));
- 		is_fakevolume = TRUE;
- 		sysfs_path_real = hal_util_get_parent_path (sysfs_path);
--        } else if (sscanf (hal_util_get_last_element (sysfs_path), "md%d", &md_number) == 1) {
-+        } else if (sscanf (hal_util_get_last_element (sysfs_path), "md%d%c", &md_number, &tc) == 1) {
- 		HAL_INFO (("Handling %s as MD device", device_file));
-                 is_md_device = TRUE;
- 		sysfs_path_real = g_strdup (sysfs_path);
---
-cgit v0.8.2




More information about the arch-commits mailing list